Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 303723 (CVE-2009-3295)

Summary: <app-crypt/mit-krb5-1.7.1 DOS ticket request (CVE-2009-3295)
Product: Gentoo Security Reporter: Stefan Behte (RETIRED) <craig>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: minor CC: kerberos
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://web.mit.edu/kerberos/advisories/MITKRB5-SA-2009-003.txt
Whiteboard: B3 [glsa]
Package list:
Runtime testing required: ---

Description Stefan Behte (RETIRED) gentoo-dev Security 2010-02-06 14:40:28 UTC
CVE-2009-3295 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2009-3295):
  The prep_reprocess_req function in kdc/do_tgs_req.c in the
  cross-realm referral implementation in the Key Distribution Center
  (KDC) in MIT Kerberos 5 (aka krb5) 1.7 before 1.7.1 allows remote
  attackers to cause a denial of service (NULL pointer dereference and
  daemon crash) via a ticket request.
Comment 1 PaweĊ‚ Hajdan, Jr. (RETIRED) gentoo-dev 2011-02-19 10:18:53 UTC
The most recent release in the tree is now 1.8.3, not affected. B4-rated vulnerabilities get a GLSA vote.
Comment 2 Tim Sammut (RETIRED) gentoo-dev 2011-02-19 15:17:10 UTC
GLSA Vote: yes.
Comment 3 Stefan Behte (RETIRED) gentoo-dev Security 2011-02-22 22:01:19 UTC
Yes, added to glsa for #323525.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2012-01-23 20:38:06 UTC
This issue was resolved and addressed in
 GLSA 201201-13 at http://security.gentoo.org/glsa/glsa-201201-13.xml
by GLSA coordinator Sean Amoss (ackle).